Location Search
curl --request GET \
--url https://api.sociavault.com/v1/scrape/facebook-marketplace/location-search \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.sociavault.com/v1/scrape/facebook-marketplace/location-search"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.sociavault.com/v1/scrape/facebook-marketplace/location-search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"success": true,
"locations": {
"0": {
"name": "London, United Kingdom",
"subtitle": "City",
"multi_line_address": {},
"page_id": "106078429431815",
"latitude": 51.5141,
"longitude": -0.1094,
"city": "London",
"postal_code": "EC4Y 1"
},
"1": {
"name": "Hampstead, United Kingdom",
"subtitle": "Hampstead, UK · 103,978 people checked in here",
"multi_line_address": {},
"page_id": "111970842163262",
"latitude": 51.562662002368,
"longitude": -0.17988194651705,
"city": "London",
"postal_code": "NW3 7"
},
"2": {
"name": "Hanwell, London, United Kingdom",
"subtitle": "Hanwell, UK · 36,446 people checked in here",
"multi_line_address": {},
"page_id": "111657852196045",
"latitude": 51.511547559951,
"longitude": -0.33753365471487,
"city": "London",
"postal_code": "W7 3"
},
"3": {
"name": "Walthamstow, United Kingdom",
"subtitle": "Walthamstow, UK · 203,329 people checked in here",
"multi_line_address": {},
"page_id": "106346746071495",
"latitude": 51.5836,
"longitude": -0.0211,
"city": "London",
"postal_code": "E17 7"
},
"4": {
"name": "Ealing, United Kingdom",
"subtitle": "Ealing, UK · 121,903 people checked in here",
"multi_line_address": {},
"page_id": "106501136052910",
"latitude": 51.5,
"longitude": -0.316667,
"city": "London",
"postal_code": "W13 9TF"
},
"5": {
"name": "Barking, United Kingdom",
"subtitle": "City",
"multi_line_address": {},
"page_id": "114818845200946",
"latitude": 51.53928,
"longitude": 0.0813,
"city": "Barking",
"postal_code": "IG11 8"
},
"6": {
"name": "Hampton, London, United Kingdom",
"subtitle": "City",
"multi_line_address": {},
"page_id": "104340056273555",
"latitude": 51.41757,
"longitude": -0.37365,
"city": "Hampton",
"postal_code": "TW12 2JT"
},
"7": {
"name": "Chingford, United Kingdom",
"subtitle": "Chingford, UK · 80,067 people checked in here",
"multi_line_address": {},
"page_id": "116561138354646",
"latitude": 51.6313,
"longitude": 0.003,
"city": "London",
"postal_code": "E4 7BJ"
},
"8": {
"name": "Chelsea, London",
"subtitle": "Chelsea, UK · 330,172 people checked in here",
"multi_line_address": {},
"page_id": "103119536394979",
"latitude": 51.4862,
"longitude": -0.1653,
"city": "London",
"postal_code": "SW3 5TB"
},
"9": {
"name": "Haggerston (ward)",
"subtitle": "Haggerston, UK · 43 people checked in here",
"multi_line_address": {},
"page_id": "102589439795413",
"latitude": 51.5318,
"longitude": -0.0706,
"city": "London",
"postal_code": "E2 8NG"
}
}
},
"credits_used": 1
}{
"error": "Search query parameter is required",
"endpoint": "<string>",
"credits_required": 123
}{
"error": "Invalid API key",
"docs": "https://docs.sociavault.com/authentication"
}{
"error": "Insufficient credits",
"required": 1,
"available": 0
}{
"error": "Service configuration error"
}Facebook Marketplace
Location Search
Look up cities and regions on Facebook Marketplace and get the coordinates you’ll need to call the Marketplace Search endpoint.
GET
/
v1
/
scrape
/
facebook-marketplace
/
location-search
Location Search
💳 1 credit per request
Authorizations
Query Parameters
Location search query
Example:
"Austin"
Response
Successful response
Key Response Fields:
data.locations[0].name: Full location display name (e.g."London, United Kingdom")data.locations[0].city: City namedata.locations[0].latitude/longitude: Coordinates — pass these aslat/lngto the Marketplace Search endpointdata.locations[0].page_id: Facebook page ID for the locationdata.locations[0].subtitle: Human-readable description with check-in countdata.locations[0].postal_code: Postal / ZIP code for the location
⌘I